/************************************************************************//**
 *
 * @file    c17_uart3.h
 *
 * @brief   This is UART3 driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef C17_UART3_H__
#define C17_UART3_H__

#include <c17_mcu_select.h>

/* --- definition --- */
enum
{
	C17_UART_CLKSRC_IOSC,				///< Clock Source = IOSC
	C17_UART_CLKSRC_OSC1,				///< Clock Source = OSC1
	C17_UART_CLKSRC_OSC3,				///< Clock Source = OSC3
	C17_UART_CLKSRC_EXT					///< Clock Source = External OSC
};

enum
{
	C17_UART_RCV_1BYTE,				///< Receive buff full interrupt = 1Byte
	C17_UART_RCV_2BYTE				///< Receive buff full interrupt = 2Byte
};

enum
{
	C17_UART_ERROR_OVERFLOW = 2,	///< OverFlow Error
	C17_UART_ERROR_PARITY ,			///< Parity Error
	C17_UART_ERROR_FRAMING ,		///< Framing Error
};

/* --- external declaration --- */
extern void c17intUartCh0(void)	__attribute__ ((interrupt_handler));

extern int c17initUart(void);
extern void c17startUart(void);
extern void c17stopUart(void);
extern void c17enableIntUart(unsigned short uartRcvUnit);
extern void c17disableIntUart(void);
extern void c17intUartCh0(void);
extern void c17rcvUartaData(char *uartData, unsigned short uartSize, unsigned short uartRcvUnit);
extern int c17sendUartData(char *uartData, unsigned short uartSize);
extern int c17sendUartDataWait(void);
extern int c17rcvUartDataWait(void);
extern void c17sendUartDataPoling(char *uartData, unsigned short uartSize);
extern int c17rcvUartDataPolingByte(char *uartData, unsigned short uartSize);
extern int c17rcvUartDataPolingShort(unsigned short *uartData, unsigned short uartSize);

#endif	// C17_UART3_H__

