/************************************************************************//**
 *
 * @file    main.h
 *
 * @brief   This is main driver header file.
 *
 * @par     Copyright:
 *          Copyright (C) SEIKO EPSON CORPORATION 2016-2016. All rights reserved.
 *
 * @warning -
 *
 * @par     History:
 *          - 01 Sep. 2016    1.00
 *              - First revision.
 *
 ***************************************************************************/
#ifndef MAIN_H__
#define MAIN_H__

#include <c17_mcu_select.h>
#include "c17_init_config.h"


/* --- external declaration --- */
extern int main_clg(void);

#ifdef C17_PE_ADC
extern int main_adc12a(void);
#endif

#if defined(C17_PE_I2C_MASTER) || defined( C17_PE_I2C_SLAVE)
extern int main_i2c(void);
#endif

#ifdef C17_PE_PORT
extern int main_port(void);
#endif

#ifdef C17_PE_PWG
extern int main_pwg(void);
#endif

#ifdef C17_PE_REMC
extern int main_remc3(void);
#endif

#ifdef C17_PE_RFC
extern int main_rfc(void);
#endif

#ifdef C17_PE_RTCA
extern int main_rtca(void);
#endif

#ifdef C17_PE_SNDA
extern int main_snda(void);
#endif

#if defined(C17_PE_SPIA_MASTER) || defined( C17_PE_SPIA_SLAVE)
extern int main_spia(void);
#endif

#ifdef C17_PE_SVD
extern int main_svd3(void);
#endif

#ifdef C17_PE_T16
extern int main_t16(void);
#endif

#ifdef C17_PE_T16B
extern int main_t16b(void);
#endif

#if defined(C17_PE_UART_MASTER) || defined( C17_PE_UART_SLAVE)
extern int main_uart3(void);
#endif

#ifdef C17_PE_WDT
extern int main_wdt2(void);
#endif

#endif /* MAIN_H__ */

